Updating from softmodded 4.2 to 4.3

Discussion in 'Wii - Hacking' started by mzerok, Jan 23, 2012.

Jan 23, 2012
  1. mzerok
    OP

    Newcomer mzerok Newbie

    Joined:
    Dec 24, 2009
    Messages:
    8
    Country:
    Germany
    Hi everyone,
    I have a Wii 4.2 softmodded since 1 year. Now I want to update to 4.3 (through official disc/online update) and softmod it with letterbomb again.
    (It's no problem for me to softmod it again, cause i did it yesterday on a brand new 4.3 wii, i know what to do)

    I want to know if its possible to update my softmodded 4.2 to 4.3 through official ways without any problems? Or is there any risk (beside the always risk of blackout)?

    Thanks in advance
     
  2. FIX94

    Global Moderator FIX94 Global Moderator

    Joined:
    Dec 3, 2009
    Messages:
    6,546
    Location:
    ???
    Country:
    Germany
    Please don't update, it will just block more homebrew. You can just stay on 4.2 and may update some IOS using modmii.
     
  3. kylster

    Member kylster mich weich töten

    Joined:
    Sep 11, 2010
    Messages:
    1,384
    Location:
    Fr33D0M R1N6
    Country:
    United States
    The main thing I see if you plan on updating it officially is to disable all Priiloader hacks & make sure the HBC is the most up-to-date. As long as you do these two things everything should go fine and I have not found any homebrew that does not work on a Wii with SM4.1U then one that is on SM4.3U. Of course you know there is extra security and all that means it detects and deletes hacks; mainly installed HBC. Also you do know the SM is unnecessary to update unless you absolutely wanted the SD card option in the 4.x SM's. Everything is run from an IOS including the SM so essentially if you really wanted to you could use an app like WiiMod3.0+ and install a Custom System Menu or use use NUSdownloader 1.5+ and grab the SM & it's required IOS and then use ShowMiiWads to change the version# to the SM to 65535 or 54321 and additionally change the "required IOS"; also change the IOS your going to use to the new slot or if your keeping it the same change the IOS version# to 65535 or 54321. An official update will not overwrite anything with a lower version# then what it is wanting to install. This my sure is a custom system menu at it's best :) I find ShowMiiWads to be the easiet method cause it's all PC end and then you can use your favorite WadManager to install the 2 WAD files.

    Additional info: IOS3 is a good IOS to use to run a SM off of cause it's unused by any application; the only time you will see something installed there is if you buy a brand new new and even then it's just a STUB IOS which nintendo never used. So this IOS needs to be 65535 :) I have modded Wii's to run SM4.3Uv65535 off IOS3v65535 (IOS3 is just IOS80 I changed to IOS3 using ShowMiiWads). Everything works fine offical updates work fine; the problems with this method is some cIOS get deleted unless the version#=65535 which I have the naughty habbit of doing anyways :) and of course boot2 may be updated but I doubt they are going to release another boot2 update :)

    I'm sorry why not use Priiloader hacks to block updates and just use NUSdownloader 1.9mod to emulate SM4.3 and just install all the IOS from 1-80? I did this befor and it's just as simple or you can use WiiMod3.0+ to update all the IOS to a non STUB IOS & I believe MMM can do the same thing :) in batch that is :) can you say rwar rwar eww la la hey you don't say :)
     
  4. mzerok
    OP

    Newcomer mzerok Newbie

    Joined:
    Dec 24, 2009
    Messages:
    8
    Country:
    Germany
    thanks kylster for this explanation. my reasons for updating to 4.3 is:
    - I can't access to the internet channel for activating points (want to buy stuff for rockband and gh)
    - New games don't work with my usb loader
    - I wanted to be up-to-date ;-)

    So do you think it's possible to update my wii to the newest stuff with WiiMod 3.0+ ?
     
  5. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    None of those are related to your System Menu. Well, the last one is, but that's a stupid reason to do a stupid thing. You want to make your Wii worse because it's newer, lol.

    Newbies....
     
  6. mzerok
    OP

    Newcomer mzerok Newbie

    Joined:
    Dec 24, 2009
    Messages:
    8
    Country:
    Germany
    cool Joostin! it really doesn't help me. thanks for nothing :-)
     
  7. Lucif3r

    Member Lucif3r GBAtemp Maniac

    Joined:
    Sep 10, 2011
    Messages:
    1,464
    Country:
    Sweden

    See bolded answers.
     
  8. kylster

    Member kylster mich weich töten

    Joined:
    Sep 11, 2010
    Messages:
    1,384
    Location:
    Fr33D0M R1N6
    Country:
    United States
    Yes it is possible; there is an option to update channels in both WiiMod3.0+ & MMM.
    Have you looked into ModMii? It's a pc end application where WiiMod is done on the Wii however ModMii is a very successfull way of softmodding or updating Wii's. It includes all the options to update nintendo channels, create forwarder channels, install cIOS, etc all up to a users discreton.

    Hey have no fear :) always remember: If updating/installing a SM by WiiMod or MMM befor you exit the app install priiloader cause if anything went wrong you will still have access to priiloader and the HBC. This is my leason learned from a bad experience thank god that Wii had bootmii@boot2 LoL

    As a side note: You may want to update your cIOS whether your using hermes cIOS202, cIOS222-224 or waninkoko cIOS249/250 or new d2x cIOS 245-251; all which can be done via ModMii from your pc. This may be the cause of your ext.hdd not being recognized by the USB Loader. Lastly try and see if other USB Loaders detect your ext.HDD, if they do then it's on the loaders end and not your cIOS or ext.HDD.

    Being up-o-date is fine however if you have an older Wii and want to run region free disc w/o the need of enabling a Priiloader hack then SM4.1 is the last known SM that is not region locked; this means it can play any game from anywhere around the world (legit or burned: depends on how old your console is).
     
  9. Luigi2012SM64DS

    Banned Luigi2012SM64DS G-old member

    Joined:
    Aug 27, 2011
    Messages:
    2,060
    Location:
    Minecrapt
    Country:
    Canada
    please just don't update. it will make your life harder.
    heres what you do.
    keep your ios files up to date with modmii (just don't update ios 70 or you'll brick your wii)
    done.
    if you update to 4.3 you will regret it (p.s. yes shop internet and all that other stuff will work if you update your IOSs)
    P.S.S. you will need to download the new Shop channel wad but it won't take a hassle to get it.
    @ the guys whriting alot. NUSD? Modmii!
     
  10. kylster

    Member kylster mich weich töten

    Joined:
    Sep 11, 2010
    Messages:
    1,384
    Location:
    Fr33D0M R1N6
    Country:
    United States
    NUSD is ideal if you need a particular WAD in the root of your SD cause the file name is exact while ModMii does not name all files accordingly. Keep in mind it only matters if your using an app that searches in the root directory while the WAD can be renamed to anything and installed by any Wad Manager it needs to have a certain label as it's name in order for it to be detected. Also NUSD1.9 the emulate Wii System Update is broken but is fixed in the NUSD1.9_mod; you can download here
     
  11. Shano56

    Member Shano56 noobie

    Joined:
    Apr 29, 2010
    Messages:
    877
    Country:
    United States
    Updating doesn't really make your life harder. All u need is hbc 1.0.8 then update then install any cIOS. Does that sound hard or difficult? No cuz its not.
     
  12. Nah3DS

    Member Nah3DS Madre de Dios! Es El POLLO DIABLO!!!

    Joined:
    Feb 9, 2010
    Messages:
    3,553
    Country:
    Argentina
    this forum should be named "UPDATEYOUR-cIOS-b4asking.net"
     
    1 person likes this.
  13. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    Then re-install Priiloader. Then realize it was a waste of time because you gained nothing. :P
     
  14. mzerok
    OP

    Newcomer mzerok Newbie

    Joined:
    Dec 24, 2009
    Messages:
    8
    Country:
    Germany
    hi everyone and thanks for your continous help. now i had the time to "update" my wii and did the following.

    first i updated my hbc to the newest version (1.0.8). afterwards i downloaded the all-known mod.zip and used WiiMod 3.0 Batch to get the newest c249/250/222 installed (pretty easy :D)
    then i installed priiloader (safety first or second ;) ) okay, now i started WiiMod 3.0 and installed the newest shop channel. everything looked fine but after reboot and trying the shop channel it gives me a blue screen with a #002 error.

    i think i have to install some additional things to get the latest shop channel running under 4.2?

    edit: Ok i found the problem: i had to install IOS56-64-v5662 through WiiMod WadManager. Now it works! Thanks!
     

Share This Page